"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
// import css
require("../../css/margins.css");
const DefaultModal_1 = __importDefault(require("./DefaultModal"));
const Mito_1 = require("./Mito");
const EasterIcon_1 = __importDefault(require("./icons/EasterIcon"));
/*
    A modal that displays error messages and gives
    users actions to recover.
*/
const ErrorModal = (props) => {
    let header = "Oops! " + props.errorJSON.header;
    let mailto = 'mailto:aarondr77@gmail.com';
    let to_fix = (react_1.default.createElement("div", null, props.errorJSON.to_fix));
    // If it's an easter egg, we just display the egg!
    if (props.errorJSON.type === 'easter_egg') {
        header = props.errorJSON.header;
        mailto = 'mailto:aarondr77@gmail.com?subject=Claiming my Easter Egg';
        to_fix = (react_1.default.createElement("div", { style: { 'display': 'flex', 'flexDirection': 'column' } },
            react_1.default.createElement("div", null, props.errorJSON.to_fix),
            EasterIcon_1.default()));
    }
    return (react_1.default.createElement(DefaultModal_1.default, { header: header, modalType: Mito_1.ModalEnum.Error, viewComponent: react_1.default.createElement(react_1.Fragment, null, to_fix), buttons: react_1.default.createElement(react_1.Fragment, null,
            react_1.default.createElement("div", { className: 'modal-close-button modal-dual-button-left', onClick: () => { props.setModal({ type: Mito_1.ModalEnum.None }); } }, " Close "),
            react_1.default.createElement("div", { className: 'modal-action-button modal-dual-button-right', onClick: () => {
                    window.open(mailto, '_blank');
                    props.setModal({ type: Mito_1.ModalEnum.None });
                } },
                " ",
                "Contact Us")) }));
};
exports.default = ErrorModal;
//# sourceMappingURL=ErrorModal.js.map