"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
// import css
require("../../../../css/margins.css");
require("../../../../css/default-taskpane.css");
require("../../../../css/control-panel-taskpane.css");
require("../../../../css/column-graph-and-describe.css");
const FilterCard_1 = __importDefault(require("./filter/FilterCard"));
const SortCard_1 = __importDefault(require("./SortCard"));
const ColumnSummaryGraph_1 = __importDefault(require("./ColumnSummaryGraph"));
const ColumnNameCard_1 = __importDefault(require("./ColumnNameCard"));
const ColumnSummaryStatistics_1 = __importDefault(require("./ColumnSummaryStatistics"));
const ControlPanelTaskpaneTabs_1 = __importDefault(require("./ControlPanelTaskpaneTabs"));
var ControlPanelTab;
(function (ControlPanelTab) {
    ControlPanelTab[ControlPanelTab["FilterSort"] = 0] = "FilterSort";
    ControlPanelTab[ControlPanelTab["SummaryStats"] = 1] = "SummaryStats";
})(ControlPanelTab = exports.ControlPanelTab || (exports.ControlPanelTab = {}));
/*
    A modal that allows a user to rename, sort, and filter a column.
*/
function ControlPanelTaskpane(props) {
    const [columnDtype, setColumnDtype] = react_1.useState('');
    function loadColumnDtype() {
        return __awaiter(this, void 0, void 0, function* () {
            const loadedColumnDtype = yield props.mitoAPI.getColumnDtype(props.selectedSheetIndex, props.columnHeader);
            setColumnDtype(loadedColumnDtype);
        });
    }
    react_1.useEffect(() => {
        void loadColumnDtype();
    }, []);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("div", { className: 'control-panel-taskpane-container default-taskpane-div' },
            react_1.default.createElement(ColumnNameCard_1.default, { columnHeader: props.columnHeader, openEditingColumnHeader: props.openEditingColumnHeader, selectedSheetIndex: props.selectedSheetIndex, mitoAPI: props.mitoAPI, setCurrOpenTaskpane: props.setCurrOpenTaskpane }),
            react_1.default.createElement("div", null,
                "dtype: ",
                columnDtype),
            react_1.default.createElement("div", { className: 'default-taskpane-body-div mb-30px' },
                props.tab === ControlPanelTab.FilterSort &&
                    react_1.default.createElement(react_1.default.Fragment, null,
                        react_1.default.createElement(SortCard_1.default, { selectedSheetIndex: props.selectedSheetIndex, columnHeader: props.columnHeader, columnType: props.columnType, mitoAPI: props.mitoAPI }),
                        react_1.default.createElement(FilterCard_1.default, { selectedSheetIndex: props.selectedSheetIndex, columnHeader: props.columnHeader, filters: props.filters, columnType: props.columnType, operator: props.operator, mitoAPI: props.mitoAPI })),
                props.tab === ControlPanelTab.SummaryStats &&
                    react_1.default.createElement(react_1.default.Fragment, null,
                        react_1.default.createElement(ColumnSummaryGraph_1.default, { selectedSheetIndex: props.selectedSheetIndex, columnHeader: props.columnHeader, mitoAPI: props.mitoAPI }),
                        react_1.default.createElement(ColumnSummaryStatistics_1.default, { selectedSheetIndex: props.selectedSheetIndex, columnHeader: props.columnHeader, mitoAPI: props.mitoAPI })))),
        react_1.default.createElement(ControlPanelTaskpaneTabs_1.default, { selectedTab: props.tab, setSelectedColumnControlPanelTab: props.setSelectedColumnControlPanelTab })));
}
exports.default = ControlPanelTaskpane;
//# sourceMappingURL=ControlPanelTaskpane.js.map