"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const DefaultTaskpane_1 = __importDefault(require("../DefaultTaskpane"));
require("../../../../css/step-taskpane.css");
const StepDataElement_1 = __importDefault(require("./StepDataElement"));
/*
    Taskpane containing a list of all the steps and allowing
    a user to interact with them
*/
function StepTaskpane(props) {
    const [openedDropdownIndex, setOpenedDropdownIndex] = react_1.useState(undefined);
    return (react_1.default.createElement(DefaultTaskpane_1.default, { header: 'Step History', setCurrOpenTaskpane: props.setCurrOpenTaskpane, taskpaneBody: react_1.default.createElement(react_1.Fragment, null, props.stepDataList.map((stepData, index) => {
            return (react_1.default.createElement(StepDataElement_1.default, { key: stepData.step_id, beforeCurrIdx: index <= props.currStepIdx, openedDropdown: index === openedDropdownIndex, setOpenedDropdown: (openedDropdown) => {
                    if (!openedDropdown) {
                        setOpenedDropdownIndex(undefined);
                    }
                    else {
                        setOpenedDropdownIndex(index);
                    }
                }, stepData: stepData, mitoAPI: props.mitoAPI }));
        })) }));
}
exports.default = StepTaskpane;
//# sourceMappingURL=StepsTaskpane.js.map